Subject: Re: bug#6628: [PATCH] omit $(POW_LIB) when linking, as this is no longer needed

From: Jim Meyering <[email-masked]>
Date: Wed, 14 Jul 2010 15:09:44 +0200

Paul Eggert wrote:
> Here's an obvious patch to simplify src/Makefile.am now that
> gnulib strtod no longer needs libm.  Is it OK to install this?
>
> Subject: [PATCH] omit $(POW_LIB) when linking, as this is no longer needed
>
> * src/Makefile.am (printf_LDADD, seq_LDADD, sleep_LDADD, sort_LDADD):
> (tail_LDADD, uptime_LDADD): Omit $(POW_LIB), as it's no longer
> needed due to recent gnulib changes, where the strtod module no
> longer uses the pow function.  strtold needs pow only because it's
> sometimes aliased to strtod.  See
> http://lists.gnu.org/archive/html/bug-gnulib/2010-07/msg00076.html

Hi Paul,
Thanks for the clean-up.  That looks fine.